using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Core.XgMes.Client.StorageBase;
using Core.XgMes.Client.TurnoffReport.Dialog;

namespace Core.XgMes.Client.JGKC.SteelPlateManager
{
	/// <summary>
	/// 中板厂成品库存综合查询查询条件控件
	/// </summary>
	public class ctlKCJListQuery : System.Windows.Forms.UserControl
    {
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_RollNum;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_RollTop;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_RollNumBegin;
		private Infragistics.Win.Misc.UltraLabel ultraLabel1;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_RollNumEnd;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Ply;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_PlyBegin;
		private Infragistics.Win.Misc.UltraLabel ultraLabel2;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_PlyEnd;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_WidthEnd;
		private Infragistics.Win.Misc.UltraLabel ultraLabel3;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_WidthBegin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Width;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_LengthEnd;
		private Infragistics.Win.Misc.UltraLabel ultraLabel4;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor txt_LenghtBegin;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Length;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_InStorageTime;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_Begin;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_End;
        private Infragistics.Win.Misc.UltraLabel ultraLabel5;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_NPlanOrder;
        private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_NPlanOrder;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_PrdTime;
		private Infragistics.Win.Misc.UltraLabel ultraLabel6;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_PrdEnd;
        private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor Dte_PrdBegin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_Condole;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor Txt_Condole;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_ButtressRemark;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor Txt_BRemark;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PlanNO;
        private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_PlanNO;
        private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Buttress;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Buttress;
        private Infragistics.Win.UltraWinGrid.UltraCombo cmb_SteelName;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_SteelName;
        private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_PactNO;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PactNO;


		/// <summary> 
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public ctlKCJListQuery()
		{
			// 该调用是 Windows.Forms 窗体设计器所必需的。
			InitializeComponent();
			txt_RollTop.Text = "H"+System.DateTime.Now.ToString("yy").Substring(1,1);
			// TODO: 在 InitializeComponent 调用后添加任何初始化
			
		}

		/// <summary> 
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region 组件设计器生成的代码
		/// <summary> 
		/// 设计器支持所需的方法 - 不要使用代码编辑器 
		/// 修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance8 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance9 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance10 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance11 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance12 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance13 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance14 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance15 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance16 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance17 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance18 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance19 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance20 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance21 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance22 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance23 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance24 = new Infragistics.Win.Appearance();
            this.chk_RollNum = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_RollTop = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.txt_RollNumBegin = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel1 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_RollNumEnd = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_Ply = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PlyBegin = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.ultraLabel2 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_PlyEnd = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.txt_WidthEnd = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.ultraLabel3 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_WidthBegin = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.chk_Width = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_LengthEnd = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.ultraLabel4 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_LenghtBegin = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
            this.chk_Length = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_InStorageTime = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Dte_Begin = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.Dte_End = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.ultraLabel5 = new Infragistics.Win.Misc.UltraLabel();
            this.chk_NPlanOrder = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_NPlanOrder = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_PrdTime = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.ultraLabel6 = new Infragistics.Win.Misc.UltraLabel();
            this.Dte_PrdEnd = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.Dte_PrdBegin = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
            this.Chk_Condole = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Txt_Condole = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.Chk_ButtressRemark = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Txt_BRemark = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_PlanNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PlanNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.cmb_Buttress = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.chk_Buttress = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.cmb_SteelName = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.chk_SteelName = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PactNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_PactNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollTop)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNumBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNumEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LengthEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LenghtBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_Begin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_End)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_NPlanOrder)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_PrdEnd)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_PrdBegin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Txt_Condole)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Txt_BRemark)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Buttress)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_SteelName)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PactNO)).BeginInit();
            this.SuspendLayout();
            // 
            // chk_RollNum
            // 
            this.chk_RollNum.FlatMode = true;
            this.chk_RollNum.Location = new System.Drawing.Point(3, 10);
            this.chk_RollNum.Name = "chk_RollNum";
            this.chk_RollNum.Size = new System.Drawing.Size(80, 20);
            this.chk_RollNum.TabIndex = 9;
            this.chk_RollNum.Text = "轧批号从";
            // 
            // txt_RollTop
            // 
            this.txt_RollTop.AutoSize = true;
            this.txt_RollTop.FlatMode = true;
            this.txt_RollTop.Location = new System.Drawing.Point(77, 6);
            this.txt_RollTop.Name = "txt_RollTop";
            this.txt_RollTop.Size = new System.Drawing.Size(26, 19);
            this.txt_RollTop.TabIndex = 10;
            this.txt_RollTop.Text = "H7";
            // 
            // txt_RollNumBegin
            // 
            this.txt_RollNumBegin.AutoSize = true;
            this.txt_RollNumBegin.FlatMode = true;
            this.txt_RollNumBegin.Location = new System.Drawing.Point(103, 6);
            this.txt_RollNumBegin.MaxLength = 5;
            this.txt_RollNumBegin.Name = "txt_RollNumBegin";
            this.txt_RollNumBegin.Size = new System.Drawing.Size(57, 19);
            this.txt_RollNumBegin.TabIndex = 11;
            // 
            // ultraLabel1
            // 
            this.ultraLabel1.Location = new System.Drawing.Point(160, 10);
            this.ultraLabel1.Name = "ultraLabel1";
            this.ultraLabel1.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel1.TabIndex = 12;
            this.ultraLabel1.Text = "到";
            // 
            // txt_RollNumEnd
            // 
            this.txt_RollNumEnd.AutoSize = true;
            this.txt_RollNumEnd.FlatMode = true;
            this.txt_RollNumEnd.Location = new System.Drawing.Point(178, 6);
            this.txt_RollNumEnd.MaxLength = 5;
            this.txt_RollNumEnd.Name = "txt_RollNumEnd";
            this.txt_RollNumEnd.Size = new System.Drawing.Size(58, 19);
            this.txt_RollNumEnd.TabIndex = 13;
            // 
            // chk_Ply
            // 
            this.chk_Ply.FlatMode = true;
            this.chk_Ply.Location = new System.Drawing.Point(3, 34);
            this.chk_Ply.Name = "chk_Ply";
            this.chk_Ply.Size = new System.Drawing.Size(80, 20);
            this.chk_Ply.TabIndex = 14;
            this.chk_Ply.Text = "厚度从";
            // 
            // txt_PlyBegin
            // 
            this.txt_PlyBegin.FlatMode = true;
            this.txt_PlyBegin.Location = new System.Drawing.Point(77, 30);
            this.txt_PlyBegin.MaskInput = "nnn.nnn";
            this.txt_PlyBegin.Name = "txt_PlyBegin";
            this.txt_PlyBegin.NumericType = Infragistics.Win.UltraWinEditors.NumericType.Double;
            this.txt_PlyBegin.PromptChar = ' ';
            this.txt_PlyBegin.Size = new System.Drawing.Size(83, 19);
            this.txt_PlyBegin.TabIndex = 15;
            // 
            // ultraLabel2
            // 
            this.ultraLabel2.Location = new System.Drawing.Point(160, 34);
            this.ultraLabel2.Name = "ultraLabel2";
            this.ultraLabel2.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel2.TabIndex = 16;
            this.ultraLabel2.Text = "到";
            // 
            // txt_PlyEnd
            // 
            this.txt_PlyEnd.FlatMode = true;
            this.txt_PlyEnd.Location = new System.Drawing.Point(178, 30);
            this.txt_PlyEnd.MaskInput = "nnn.nnn";
            this.txt_PlyEnd.Name = "txt_PlyEnd";
            this.txt_PlyEnd.NumericType = Infragistics.Win.UltraWinEditors.NumericType.Double;
            this.txt_PlyEnd.PromptChar = ' ';
            this.txt_PlyEnd.Size = new System.Drawing.Size(58, 19);
            this.txt_PlyEnd.TabIndex = 17;
            // 
            // txt_WidthEnd
            // 
            this.txt_WidthEnd.FlatMode = true;
            this.txt_WidthEnd.Location = new System.Drawing.Point(178, 54);
            this.txt_WidthEnd.MaskInput = "nnnn";
            this.txt_WidthEnd.Name = "txt_WidthEnd";
            this.txt_WidthEnd.PromptChar = ' ';
            this.txt_WidthEnd.Size = new System.Drawing.Size(58, 19);
            this.txt_WidthEnd.TabIndex = 21;
            // 
            // ultraLabel3
            // 
            this.ultraLabel3.Location = new System.Drawing.Point(160, 56);
            this.ultraLabel3.Name = "ultraLabel3";
            this.ultraLabel3.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel3.TabIndex = 20;
            this.ultraLabel3.Text = "到";
            // 
            // txt_WidthBegin
            // 
            this.txt_WidthBegin.FlatMode = true;
            this.txt_WidthBegin.Location = new System.Drawing.Point(77, 54);
            this.txt_WidthBegin.MaskInput = "nnnn";
            this.txt_WidthBegin.Name = "txt_WidthBegin";
            this.txt_WidthBegin.NumericType = Infragistics.Win.UltraWinEditors.NumericType.Double;
            this.txt_WidthBegin.PromptChar = ' ';
            this.txt_WidthBegin.Size = new System.Drawing.Size(83, 19);
            this.txt_WidthBegin.TabIndex = 19;
            // 
            // chk_Width
            // 
            this.chk_Width.FlatMode = true;
            this.chk_Width.Location = new System.Drawing.Point(3, 58);
            this.chk_Width.Name = "chk_Width";
            this.chk_Width.Size = new System.Drawing.Size(80, 20);
            this.chk_Width.TabIndex = 18;
            this.chk_Width.Text = "宽度从";
            // 
            // txt_LengthEnd
            // 
            this.txt_LengthEnd.FlatMode = true;
            this.txt_LengthEnd.Location = new System.Drawing.Point(178, 78);
            this.txt_LengthEnd.MaskInput = "nnnnn";
            this.txt_LengthEnd.Name = "txt_LengthEnd";
            this.txt_LengthEnd.PromptChar = ' ';
            this.txt_LengthEnd.Size = new System.Drawing.Size(58, 19);
            this.txt_LengthEnd.TabIndex = 25;
            // 
            // ultraLabel4
            // 
            this.ultraLabel4.Location = new System.Drawing.Point(160, 80);
            this.ultraLabel4.Name = "ultraLabel4";
            this.ultraLabel4.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel4.TabIndex = 24;
            this.ultraLabel4.Text = "到";
            // 
            // txt_LenghtBegin
            // 
            this.txt_LenghtBegin.FlatMode = true;
            this.txt_LenghtBegin.Location = new System.Drawing.Point(77, 78);
            this.txt_LenghtBegin.MaskInput = "nnnnn";
            this.txt_LenghtBegin.Name = "txt_LenghtBegin";
            this.txt_LenghtBegin.PromptChar = ' ';
            this.txt_LenghtBegin.Size = new System.Drawing.Size(83, 19);
            this.txt_LenghtBegin.TabIndex = 23;
            // 
            // chk_Length
            // 
            this.chk_Length.FlatMode = true;
            this.chk_Length.Location = new System.Drawing.Point(3, 80);
            this.chk_Length.Name = "chk_Length";
            this.chk_Length.Size = new System.Drawing.Size(80, 20);
            this.chk_Length.TabIndex = 22;
            this.chk_Length.Text = "长度从";
            // 
            // chk_InStorageTime
            // 
            this.chk_InStorageTime.FlatMode = true;
            this.chk_InStorageTime.Location = new System.Drawing.Point(242, 5);
            this.chk_InStorageTime.Name = "chk_InStorageTime";
            this.chk_InStorageTime.Size = new System.Drawing.Size(80, 20);
            this.chk_InStorageTime.TabIndex = 47;
            this.chk_InStorageTime.Text = "入库时间";
            // 
            // Dte_Begin
            // 
            this.Dte_Begin.FlatMode = true;
            this.Dte_Begin.Location = new System.Drawing.Point(319, 5);
            this.Dte_Begin.Name = "Dte_Begin";
            this.Dte_Begin.Size = new System.Drawing.Size(100, 19);
            this.Dte_Begin.TabIndex = 48;
            // 
            // Dte_End
            // 
            this.Dte_End.FlatMode = true;
            this.Dte_End.Location = new System.Drawing.Point(449, 4);
            this.Dte_End.Name = "Dte_End";
            this.Dte_End.Size = new System.Drawing.Size(100, 19);
            this.Dte_End.TabIndex = 49;
            // 
            // ultraLabel5
            // 
            this.ultraLabel5.Location = new System.Drawing.Point(426, 9);
            this.ultraLabel5.Name = "ultraLabel5";
            this.ultraLabel5.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel5.TabIndex = 50;
            this.ultraLabel5.Text = "到";
            // 
            // chk_NPlanOrder
            // 
            this.chk_NPlanOrder.FlatMode = true;
            this.chk_NPlanOrder.Location = new System.Drawing.Point(242, 74);
            this.chk_NPlanOrder.Name = "chk_NPlanOrder";
            this.chk_NPlanOrder.Size = new System.Drawing.Size(80, 20);
            this.chk_NPlanOrder.TabIndex = 53;
            this.chk_NPlanOrder.Text = "现在订单";
            // 
            // txt_NPlanOrder
            // 
            this.txt_NPlanOrder.AutoSize = true;
            this.txt_NPlanOrder.FlatMode = true;
            this.txt_NPlanOrder.Location = new System.Drawing.Point(319, 74);
            this.txt_NPlanOrder.Name = "txt_NPlanOrder";
            this.txt_NPlanOrder.Size = new System.Drawing.Size(74, 19);
            this.txt_NPlanOrder.TabIndex = 54;
            // 
            // Chk_PrdTime
            // 
            this.Chk_PrdTime.FlatMode = true;
            this.Chk_PrdTime.Location = new System.Drawing.Point(242, 27);
            this.Chk_PrdTime.Name = "Chk_PrdTime";
            this.Chk_PrdTime.Size = new System.Drawing.Size(80, 20);
            this.Chk_PrdTime.TabIndex = 66;
            this.Chk_PrdTime.Text = "生产时间";
            // 
            // ultraLabel6
            // 
            this.ultraLabel6.Location = new System.Drawing.Point(425, 31);
            this.ultraLabel6.Name = "ultraLabel6";
            this.ultraLabel6.Size = new System.Drawing.Size(17, 16);
            this.ultraLabel6.TabIndex = 69;
            this.ultraLabel6.Text = "到";
            // 
            // Dte_PrdEnd
            // 
            this.Dte_PrdEnd.FlatMode = true;
            this.Dte_PrdEnd.Location = new System.Drawing.Point(449, 26);
            this.Dte_PrdEnd.Name = "Dte_PrdEnd";
            this.Dte_PrdEnd.Size = new System.Drawing.Size(100, 19);
            this.Dte_PrdEnd.TabIndex = 68;
            // 
            // Dte_PrdBegin
            // 
            this.Dte_PrdBegin.FlatMode = true;
            this.Dte_PrdBegin.Location = new System.Drawing.Point(319, 27);
            this.Dte_PrdBegin.Name = "Dte_PrdBegin";
            this.Dte_PrdBegin.Size = new System.Drawing.Size(100, 19);
            this.Dte_PrdBegin.TabIndex = 67;
            // 
            // Chk_Condole
            // 
            this.Chk_Condole.FlatMode = true;
            this.Chk_Condole.Location = new System.Drawing.Point(398, 51);
            this.Chk_Condole.Name = "Chk_Condole";
            this.Chk_Condole.Size = new System.Drawing.Size(80, 20);
            this.Chk_Condole.TabIndex = 71;
            this.Chk_Condole.Text = "板块吊号";
            // 
            // Txt_Condole
            // 
            this.Txt_Condole.AutoSize = true;
            this.Txt_Condole.FlatMode = true;
            this.Txt_Condole.Location = new System.Drawing.Point(474, 51);
            this.Txt_Condole.Name = "Txt_Condole";
            this.Txt_Condole.Size = new System.Drawing.Size(74, 19);
            this.Txt_Condole.TabIndex = 72;
            // 
            // Chk_ButtressRemark
            // 
            this.Chk_ButtressRemark.FlatMode = true;
            this.Chk_ButtressRemark.Location = new System.Drawing.Point(398, 75);
            this.Chk_ButtressRemark.Name = "Chk_ButtressRemark";
            this.Chk_ButtressRemark.Size = new System.Drawing.Size(80, 20);
            this.Chk_ButtressRemark.TabIndex = 73;
            this.Chk_ButtressRemark.Text = "堆放备注";
            // 
            // Txt_BRemark
            // 
            this.Txt_BRemark.AutoSize = true;
            this.Txt_BRemark.FlatMode = true;
            this.Txt_BRemark.Location = new System.Drawing.Point(474, 75);
            this.Txt_BRemark.Name = "Txt_BRemark";
            this.Txt_BRemark.Size = new System.Drawing.Size(74, 19);
            this.Txt_BRemark.TabIndex = 74;
            // 
            // chk_PlanNO
            // 
            this.chk_PlanNO.FlatMode = true;
            this.chk_PlanNO.Location = new System.Drawing.Point(242, 52);
            this.chk_PlanNO.Name = "chk_PlanNO";
            this.chk_PlanNO.Size = new System.Drawing.Size(80, 20);
            this.chk_PlanNO.TabIndex = 26;
            this.chk_PlanNO.Text = "现计划号";
            // 
            // txt_PlanNO
            // 
            this.txt_PlanNO.AutoSize = true;
            this.txt_PlanNO.FlatMode = true;
            this.txt_PlanNO.Location = new System.Drawing.Point(319, 52);
            this.txt_PlanNO.Name = "txt_PlanNO";
            this.txt_PlanNO.Size = new System.Drawing.Size(74, 19);
            this.txt_PlanNO.TabIndex = 27;
            // 
            // cmb_Buttress
            // 
            this.cmb_Buttress.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            appearance1.BackColor = System.Drawing.SystemColors.Window;
            appearance1.BorderColor = System.Drawing.SystemColors.InactiveCaption;
            this.cmb_Buttress.DisplayLayout.Appearance = appearance1;
            this.cmb_Buttress.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            this.cmb_Buttress.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance2.BackColor = System.Drawing.SystemColors.ActiveBorder;
            appearance2.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance2.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
            appearance2.BorderColor = System.Drawing.SystemColors.Window;
            this.cmb_Buttress.DisplayLayout.GroupByBox.Appearance = appearance2;
            appearance3.ForeColor = System.Drawing.SystemColors.GrayText;
            this.cmb_Buttress.DisplayLayout.GroupByBox.BandLabelAppearance = appearance3;
            this.cmb_Buttress.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            appearance4.BackColor = System.Drawing.SystemColors.ControlLightLight;
            appearance4.BackColor2 = System.Drawing.SystemColors.Control;
            appearance4.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance4.ForeColor = System.Drawing.SystemColors.GrayText;
            this.cmb_Buttress.DisplayLayout.GroupByBox.PromptAppearance = appearance4;
            this.cmb_Buttress.DisplayLayout.MaxColScrollRegions = 1;
            this.cmb_Buttress.DisplayLayout.MaxRowScrollRegions = 1;
            appearance5.BackColor = System.Drawing.SystemColors.Window;
            appearance5.ForeColor = System.Drawing.SystemColors.ControlText;
            this.cmb_Buttress.DisplayLayout.Override.ActiveCellAppearance = appearance5;
            appearance6.BackColor = System.Drawing.SystemColors.Highlight;
            appearance6.ForeColor = System.Drawing.SystemColors.HighlightText;
            this.cmb_Buttress.DisplayLayout.Override.ActiveRowAppearance = appearance6;
            this.cmb_Buttress.DisplayLayout.Override.BorderStyleCell = Infragistics.Win.UIElementBorderStyle.Dotted;
            this.cmb_Buttress.DisplayLayout.Override.BorderStyleRow = Infragistics.Win.UIElementBorderStyle.Dotted;
            appearance7.BackColor = System.Drawing.SystemColors.Window;
            this.cmb_Buttress.DisplayLayout.Override.CardAreaAppearance = appearance7;
            appearance8.BorderColor = System.Drawing.Color.Silver;
            appearance8.TextTrimming = Infragistics.Win.TextTrimming.EllipsisCharacter;
            this.cmb_Buttress.DisplayLayout.Override.CellAppearance = appearance8;
            this.cmb_Buttress.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            this.cmb_Buttress.DisplayLayout.Override.CellPadding = 0;
            appearance9.BackColor = System.Drawing.SystemColors.Control;
            appearance9.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance9.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
            appearance9.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance9.BorderColor = System.Drawing.SystemColors.Window;
            this.cmb_Buttress.DisplayLayout.Override.GroupByRowAppearance = appearance9;
            appearance10.TextHAlign = Infragistics.Win.HAlign.Left;
            this.cmb_Buttress.DisplayLayout.Override.HeaderAppearance = appearance10;
            this.cmb_Buttress.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
            this.cmb_Buttress.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.WindowsXPCommand;
            appearance11.BackColor = System.Drawing.SystemColors.Window;
            appearance11.BorderColor = System.Drawing.Color.Silver;
            this.cmb_Buttress.DisplayLayout.Override.RowAppearance = appearance11;
            this.cmb_Buttress.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            appearance12.BackColor = System.Drawing.SystemColors.ControlLight;
            this.cmb_Buttress.DisplayLayout.Override.TemplateAddRowAppearance = appearance12;
            this.cmb_Buttress.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
            this.cmb_Buttress.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
            this.cmb_Buttress.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            this.cmb_Buttress.DisplayMember = "";
            this.cmb_Buttress.FlatMode = true;
            this.cmb_Buttress.Location = new System.Drawing.Point(474, 98);
            this.cmb_Buttress.Name = "cmb_Buttress";
            this.cmb_Buttress.Size = new System.Drawing.Size(75, 19);
            this.cmb_Buttress.TabIndex = 76;
            this.cmb_Buttress.ValueMember = "";
            // 
            // chk_Buttress
            // 
            this.chk_Buttress.FlatMode = true;
            this.chk_Buttress.Location = new System.Drawing.Point(398, 98);
            this.chk_Buttress.Name = "chk_Buttress";
            this.chk_Buttress.Size = new System.Drawing.Size(52, 20);
            this.chk_Buttress.TabIndex = 75;
            this.chk_Buttress.Text = "堆位";
            // 
            // cmb_SteelName
            // 
            this.cmb_SteelName.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            appearance13.BackColor = System.Drawing.SystemColors.Window;
            appearance13.BorderColor = System.Drawing.SystemColors.InactiveCaption;
            this.cmb_SteelName.DisplayLayout.Appearance = appearance13;
            this.cmb_SteelName.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            this.cmb_SteelName.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance14.BackColor = System.Drawing.SystemColors.ActiveBorder;
            appearance14.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance14.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
            appearance14.BorderColor = System.Drawing.SystemColors.Window;
            this.cmb_SteelName.DisplayLayout.GroupByBox.Appearance = appearance14;
            appearance15.ForeColor = System.Drawing.SystemColors.GrayText;
            this.cmb_SteelName.DisplayLayout.GroupByBox.BandLabelAppearance = appearance15;
            this.cmb_SteelName.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
            appearance16.BackColor = System.Drawing.SystemColors.ControlLightLight;
            appearance16.BackColor2 = System.Drawing.SystemColors.Control;
            appearance16.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance16.ForeColor = System.Drawing.SystemColors.GrayText;
            this.cmb_SteelName.DisplayLayout.GroupByBox.PromptAppearance = appearance16;
            this.cmb_SteelName.DisplayLayout.MaxColScrollRegions = 1;
            this.cmb_SteelName.DisplayLayout.MaxRowScrollRegions = 1;
            appearance17.BackColor = System.Drawing.SystemColors.Window;
            appearance17.ForeColor = System.Drawing.SystemColors.ControlText;
            this.cmb_SteelName.DisplayLayout.Override.ActiveCellAppearance = appearance17;
            appearance18.BackColor = System.Drawing.SystemColors.Highlight;
            appearance18.ForeColor = System.Drawing.SystemColors.HighlightText;
            this.cmb_SteelName.DisplayLayout.Override.ActiveRowAppearance = appearance18;
            this.cmb_SteelName.DisplayLayout.Override.BorderStyleCell = Infragistics.Win.UIElementBorderStyle.Dotted;
            this.cmb_SteelName.DisplayLayout.Override.BorderStyleRow = Infragistics.Win.UIElementBorderStyle.Dotted;
            appearance19.BackColor = System.Drawing.SystemColors.Window;
            this.cmb_SteelName.DisplayLayout.Override.CardAreaAppearance = appearance19;
            appearance20.BorderColor = System.Drawing.Color.Silver;
            appearance20.TextTrimming = Infragistics.Win.TextTrimming.EllipsisCharacter;
            this.cmb_SteelName.DisplayLayout.Override.CellAppearance = appearance20;
            this.cmb_SteelName.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            this.cmb_SteelName.DisplayLayout.Override.CellPadding = 0;
            appearance21.BackColor = System.Drawing.SystemColors.Control;
            appearance21.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance21.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
            appearance21.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance21.BorderColor = System.Drawing.SystemColors.Window;
            this.cmb_SteelName.DisplayLayout.Override.GroupByRowAppearance = appearance21;
            appearance22.TextHAlign = Infragistics.Win.HAlign.Left;
            this.cmb_SteelName.DisplayLayout.Override.HeaderAppearance = appearance22;
            this.cmb_SteelName.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
            this.cmb_SteelName.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.WindowsXPCommand;
            appearance23.BackColor = System.Drawing.SystemColors.Window;
            appearance23.BorderColor = System.Drawing.Color.Silver;
            this.cmb_SteelName.DisplayLayout.Override.RowAppearance = appearance23;
            this.cmb_SteelName.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            appearance24.BackColor = System.Drawing.SystemColors.ControlLight;
            this.cmb_SteelName.DisplayLayout.Override.TemplateAddRowAppearance = appearance24;
            this.cmb_SteelName.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
            this.cmb_SteelName.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
            this.cmb_SteelName.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            this.cmb_SteelName.DisplayMember = "";
            this.cmb_SteelName.FlatMode = true;
            this.cmb_SteelName.Location = new System.Drawing.Point(319, 98);
            this.cmb_SteelName.Name = "cmb_SteelName";
            this.cmb_SteelName.Size = new System.Drawing.Size(72, 19);
            this.cmb_SteelName.TabIndex = 78;
            this.cmb_SteelName.ValueMember = "";
            // 
            // chk_SteelName
            // 
            this.chk_SteelName.FlatMode = true;
            this.chk_SteelName.Location = new System.Drawing.Point(242, 98);
            this.chk_SteelName.Name = "chk_SteelName";
            this.chk_SteelName.Size = new System.Drawing.Size(55, 20);
            this.chk_SteelName.TabIndex = 77;
            this.chk_SteelName.Text = "牌号";
            // 
            // txt_PactNO
            // 
            this.txt_PactNO.AutoSize = true;
            this.txt_PactNO.FlatMode = true;
            this.txt_PactNO.Location = new System.Drawing.Point(77, 103);
            this.txt_PactNO.Name = "txt_PactNO";
            this.txt_PactNO.Size = new System.Drawing.Size(159, 19);
            this.txt_PactNO.TabIndex = 80;
            // 
            // chk_PactNO
            // 
            this.chk_PactNO.FlatMode = true;
            this.chk_PactNO.Location = new System.Drawing.Point(3, 103);
            this.chk_PactNO.Name = "chk_PactNO";
            this.chk_PactNO.Size = new System.Drawing.Size(59, 20);
            this.chk_PactNO.TabIndex = 79;
            this.chk_PactNO.Text = "合同";
            // 
            // ctlKCJListQuery
            // 
            this.AutoSize = true;
            this.Controls.Add(this.txt_PactNO);
            this.Controls.Add(this.chk_PactNO);
            this.Controls.Add(this.cmb_SteelName);
            this.Controls.Add(this.chk_SteelName);
            this.Controls.Add(this.cmb_Buttress);
            this.Controls.Add(this.chk_Buttress);
            this.Controls.Add(this.Txt_BRemark);
            this.Controls.Add(this.Txt_Condole);
            this.Controls.Add(this.Dte_PrdEnd);
            this.Controls.Add(this.txt_NPlanOrder);
            this.Controls.Add(this.Dte_End);
            this.Controls.Add(this.txt_PlanNO);
            this.Controls.Add(this.Dte_PrdBegin);
            this.Controls.Add(this.Dte_Begin);
            this.Controls.Add(this.txt_LenghtBegin);
            this.Controls.Add(this.txt_WidthBegin);
            this.Controls.Add(this.txt_PlyBegin);
            this.Controls.Add(this.txt_RollNumBegin);
            this.Controls.Add(this.Chk_ButtressRemark);
            this.Controls.Add(this.Chk_Condole);
            this.Controls.Add(this.ultraLabel6);
            this.Controls.Add(this.Chk_PrdTime);
            this.Controls.Add(this.chk_NPlanOrder);
            this.Controls.Add(this.ultraLabel5);
            this.Controls.Add(this.chk_InStorageTime);
            this.Controls.Add(this.chk_PlanNO);
            this.Controls.Add(this.txt_LengthEnd);
            this.Controls.Add(this.ultraLabel4);
            this.Controls.Add(this.chk_Length);
            this.Controls.Add(this.txt_WidthEnd);
            this.Controls.Add(this.ultraLabel3);
            this.Controls.Add(this.chk_Width);
            this.Controls.Add(this.txt_PlyEnd);
            this.Controls.Add(this.ultraLabel2);
            this.Controls.Add(this.chk_Ply);
            this.Controls.Add(this.txt_RollNumEnd);
            this.Controls.Add(this.ultraLabel1);
            this.Controls.Add(this.txt_RollTop);
            this.Controls.Add(this.chk_RollNum);
            this.Name = "ctlKCJListQuery";
            this.Size = new System.Drawing.Size(562, 138);
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollTop)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNumBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_RollNumEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlyEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_WidthBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LengthEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_LenghtBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_Begin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_End)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_NPlanOrder)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_PrdEnd)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Dte_PrdBegin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Txt_Condole)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Txt_BRemark)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Buttress)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_SteelName)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PactNO)).EndInit();
            this.ResumeLayout(false);

		}
		#endregion

		#region "Preporty"
		private System.Data.DataSet _MyDataSet = null;
        
        
		public System.Data.DataSet MyDataSet
		{
			set
			{
				_MyDataSet = value;
				StorageBaseClass.Init_ComboControl(this.cmb_SteelName,"XT_PH|PHMC|PHMC",ref this._MyDataSet);
				StorageBaseClass.Init_ComboControl(this.cmb_Buttress,"XT_DW|BUTTRESSCODE|BUTTRESS",ref this._MyDataSet);
				

			
				

		
	
			}
		}

		private string _WhereStr = "";
		public string WhereStr
		{
			get
			{
				_WhereStr = GetSteelCondition();
				_WhereStr = _WhereStr + GetButtressCondition();
				_WhereStr = _WhereStr + GetPactNOCondition();
				_WhereStr = _WhereStr + GetRollNOCondition();
				_WhereStr = _WhereStr + GetPlyCondition();
				_WhereStr = _WhereStr + GetWidthCondition();
				_WhereStr = _WhereStr + GetLengthCondition();
				_WhereStr = _WhereStr + GetPlanNOCondition();
				
				_WhereStr = _WhereStr + GetNPlanOrder();
				_WhereStr = _WhereStr + GetPrdStorageDate();
				
				_WhereStr = _WhereStr + GetCondoleCondition();
				_WhereStr = _WhereStr +	GetButtressRemarkCondition();
				return _WhereStr;
			}
		}
		private string _SendWhereStr = "";
		public string SendWhereStr
		{
			get
			{
				_SendWhereStr = GetSteelCondition();
				_SendWhereStr = _SendWhereStr + " AND B.ORDERFORMNUMBER=C.ORDERNO ";

				_SendWhereStr = _SendWhereStr + GetPactNOCondition();
				_SendWhereStr = _SendWhereStr + GetRollNOCondition();
				_SendWhereStr = _SendWhereStr + GetPlyCondition();
				_SendWhereStr = _SendWhereStr + GetWidthCondition();
				_SendWhereStr = _SendWhereStr + GetLengthCondition();
				_SendWhereStr = _SendWhereStr + GetPlanNOCondition();
				
				//_WhereStr = _WhereStr + GetDummyButtressCondition();
				_SendWhereStr = _SendWhereStr + GetInStorageDate();
		
				_SendWhereStr = _SendWhereStr + GetNPlanOrder();
				_SendWhereStr = _SendWhereStr + GetPrdStorageDate();
				//_SendWhereStr = _SendWhereStr + GetBeforeSendCondition();
				//_SendWhereStr = _SendWhereStr + GetNotInButtress();
				_SendWhereStr = _SendWhereStr + GetCondoleCondition();
				if(_SendWhereStr==" AND B.ORDERFORMNUMBER=C.ORDERNO ")
				{
					_SendWhereStr=_SendWhereStr + " AND B.ID='1' ";
				}
				return _SendWhereStr;
			}
		}
		private string _CSendWhereStr = "";
		public string CSendWhereStr
		{
			get
			{
				_CSendWhereStr = GetSteelCondition();
				_CSendWhereStr = _CSendWhereStr + " AND B.ORDERFORMNUMBER=C.ORDERNO ";

				_CSendWhereStr = _CSendWhereStr + GetPactNOCondition();
				_CSendWhereStr = _CSendWhereStr + GetRollNOCondition();
				_CSendWhereStr = _CSendWhereStr + GetPlyCondition();
				_CSendWhereStr = _CSendWhereStr + GetWidthCondition();
				_CSendWhereStr = _CSendWhereStr + GetLengthCondition();
				_CSendWhereStr = _CSendWhereStr + GetPlanNOCondition();
			
				_CSendWhereStr = _CSendWhereStr + GetInStorageDate();
				
				_CSendWhereStr = _CSendWhereStr + GetNPlanOrder();
				_CSendWhereStr = _CSendWhereStr + GetPrdStorageDate();
				//_CSendWhereStr = _CSendWhereStr + GetBeforeSendCondition();
				//_CSendWhereStr = _CSendWhereStr + GetNotInButtress();
				_CSendWhereStr = _CSendWhereStr + GetCondoleCondition();
				if(_CSendWhereStr==" AND B.ORDERFORMNUMBER=C.ORDERNO ")
				{
					_CSendWhereStr=_CSendWhereStr + " AND B.ID='1' ";
				}
				return _CSendWhereStr;
			}
		}
		#endregion
		
		#region "Method"
		//牌号
		private string GetSteelCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.chk_SteelName.Checked)
				{
					
					
						if(this.cmb_SteelName.Text.Trim().Length>0)
						{
							rtnStr = " A.DETERMINANTCARDNUMBER='"+this.cmb_SteelName.Text.Trim()+"' ";
						}
				}
	
				
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		
		//垛位
		private string GetButtressCondition()
		{
			try
			{
				if(this.chk_Buttress.Checked)
				{
					string rtnStr = "";
					
						rtnStr = " AND B.BUTTRESS='"+StorageBaseClass.CheckNullStr(this.cmb_Buttress.Value)+"' ";
						return rtnStr;

				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//堆放备注
		private string GetButtressRemarkCondition()
		{
			try
			{
				string rtnStr = "";
				if(this.Chk_ButtressRemark.Checked)
				{
					if(this.Txt_BRemark.Text.Trim().Length>0)
					{
                        rtnStr = " AND B.HANDREMARK LIKE '%" + this.Txt_BRemark.Text.Trim() + "%' ";
					}
				}
				return rtnStr;
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
   
		//合同号
		private string GetPactNOCondition()
		{
			try
			{
				if(this.chk_PactNO.Checked)
				{
					string rtnStr = "";
						rtnStr = " AND C.PACTNO='"+this.txt_PactNO.Text.Trim()+"' ";
						return rtnStr;
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//轧批号
		private string GetRollNOCondition()
		{
			try
			{
				if(this.chk_RollNum.Checked)
				{
					string rtnStr = " AND SUBSTR(A.ROLLNUMBER,1,INSTR(A.ROLLNUMBER,'-')-1)='"+this.txt_RollTop.Text.Trim()+"' ";
					if(this.txt_RollNumBegin.Text.Trim().Length==5 && this.txt_RollNumEnd.Text.Trim().Length<5)
					{
						rtnStr = rtnStr + " AND SUBSTR(A.ROLLNUMBER,INSTR(A.ROLLNUMBER,'-')+1,5)='"+this.txt_RollNumBegin.Text.Trim()+"'";
						return rtnStr;
					}
					if(this.txt_RollNumBegin.Text.Trim().Length<5 && this.txt_RollNumEnd.Text.Trim().Length==5)
					{
						rtnStr = rtnStr + " AND SUBSTR(A.ROLLNUMBER,INSTR(A.ROLLNUMBER,'-')+1,5)<='"+this.txt_RollNumEnd.Text.Trim()+"'";
						return rtnStr;
					}
					if(this.txt_RollNumBegin.Text.Trim().Length==5 && this.txt_RollNumEnd.Text.Trim().Length==5)
					{
						rtnStr = rtnStr + " AND SUBSTR(A.ROLLNUMBER,INSTR(A.ROLLNUMBER,'-')+1,5)<='"+this.txt_RollNumEnd.Text.Trim()+"'"
							+ " AND SUBSTR(A.ROLLNUMBER,INSTR(A.ROLLNUMBER,'-')+1,5)>='"+this.txt_RollNumBegin.Text.Trim()+"'";
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//厚度
		private string GetPlyCondition()
		{
			try
			{
				if(this.chk_Ply.Checked)
				{
					string rtnStr = "";
					if(StorageBaseClass.CheckDecimal(this.txt_PlyBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_PlyEnd.Value)==0)
					{
						rtnStr = " AND A.PLY="+StorageBaseClass.CheckNullStr(this.txt_PlyBegin.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_PlyBegin.Value)==0 && StorageBaseClass.CheckDecimal(this.txt_PlyEnd.Value)>0)
					{
						rtnStr = " AND A.PLY<="+StorageBaseClass.CheckNullStr(this.txt_PlyEnd.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_PlyBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_PlyEnd.Value)>0)
					{
						rtnStr = " AND A.PLY>="+StorageBaseClass.CheckNullStr(this.txt_PlyBegin.Value)
							+" AND A.PLY<="+StorageBaseClass.CheckNullStr(this.txt_PlyEnd.Value);
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//宽度
		private string GetWidthCondition()
		{
			try
			{
				if(this.chk_Width.Checked)
				{
					string rtnStr = "";
					if(StorageBaseClass.CheckDecimal(this.txt_WidthBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_WidthEnd.Value)==0)
					{
						rtnStr = " AND A.WIDTH="+StorageBaseClass.CheckNullStr(this.txt_WidthBegin.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_WidthBegin.Value)==0 && StorageBaseClass.CheckDecimal(this.txt_WidthEnd.Value)>0)
					{
						rtnStr = " AND A.WIDTH<="+StorageBaseClass.CheckNullStr(this.txt_WidthEnd.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_WidthBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_WidthEnd.Value)>0)
					{
						rtnStr = " AND A.WIDTH>="+StorageBaseClass.CheckNullStr(this.txt_WidthBegin.Value)
							+" AND A.WIDTH<="+StorageBaseClass.CheckNullStr(this.txt_WidthEnd.Value);
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//长度
		private string GetLengthCondition()
		{
			try
			{
				if(this.chk_Length.Checked)
				{
					string rtnStr = "";
					if(StorageBaseClass.CheckDecimal(this.txt_LenghtBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_LengthEnd.Value)==0)
					{
						rtnStr = " AND A.LENGTH="+StorageBaseClass.CheckNullStr(this.txt_LenghtBegin.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_LenghtBegin.Value)==0 && StorageBaseClass.CheckDecimal(this.txt_LengthEnd.Value)>0)
					{
						rtnStr = " AND A.LENGTH<="+StorageBaseClass.CheckNullStr(this.txt_LengthEnd.Value);
						return rtnStr;
					}
					if(StorageBaseClass.CheckDecimal(this.txt_LenghtBegin.Value)>0 && StorageBaseClass.CheckDecimal(this.txt_LengthEnd.Value)>0)
					{
						rtnStr = " AND A.LENGTH>="+StorageBaseClass.CheckNullStr(this.txt_LenghtBegin.Value)
							+" AND A.LENGTH<="+StorageBaseClass.CheckNullStr(this.txt_LengthEnd.Value);
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}
		//计划号
		private string GetPlanNOCondition()
		{
			try
			{
				if(this.chk_PlanNO.Checked)
				{
					string rtnStr = "";
					if(this.txt_PlanNO.Text.Trim().Length>0)
					{
						rtnStr = " AND C.PACTINDEX LIKE '%"+this.txt_PlanNO.Text.Trim()+"%' ";
						return rtnStr;
					}
				}
				return "";
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return "";
			}
		}

        
  

	
	
	
	
	

		//入库时间
		private string GetInStorageDate()
		{
			string rtnStr = "";
			if(this.chk_InStorageTime.Checked)
			{

                rtnStr = " AND TO_CHAR(A.INTIME,'YYYYMMDD')>='" + Convert.ToDateTime(this.Dte_Begin.Value).ToString("yyyyMMdd") + "' "
                        + " AND TO_CHAR(A.INTIME,'YYYYMMDD')<='" + Convert.ToDateTime(this.Dte_End.Value).ToString("yyyyMMdd") + "' ";
			}
			return rtnStr;
		}
	
		//分配订单
		private string GetNPlanOrder()
		{
			string rtnStr = "";
			if(this.chk_NPlanOrder.Checked && this.txt_NPlanOrder.Text.Length>0)
			{
				
				rtnStr = " AND A.ORDERNO LIKE '"+this.txt_NPlanOrder.Text+"%' ";
			}
			return rtnStr;
		}
		//生产时间
		private string GetPrdStorageDate()
		{
			string rtnStr = "";
			if(this.Chk_PrdTime.Checked)
			{

                rtnStr = " AND TO_CHAR(A.PTIME,'YYYYMMDD')>='" + Convert.ToDateTime(this.Dte_PrdBegin.Value).ToString("yyyyMMdd") + "' "
                        + " AND TO_CHAR(A.PTIME,'YYYYMMDD')<='" + Convert.ToDateTime(this.Dte_PrdEnd.Value).ToString("yyyyMMdd") + "' ";
			}
			return rtnStr;
		}
		//吊号
		private string GetCondoleCondition()
		{
			string rtnStr = "";
			if(this.Chk_Condole.Checked)
			{
				rtnStr = " AND B.CONDOLENUMBER LIKE '%" + this.Txt_Condole.Text + "%' ";
				return rtnStr;
			}
			return "";
		}
		#endregion



	
	


		#region "Button Event"
		private void btn_ButtressManager_Click(object sender, System.EventArgs e)
		{
            try
            {
                if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "付志刚" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "刘裕" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "邱蓉" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "管理员")
                {
                    MessageBox.Show("您的权限不能操作！");
                    return;
                }
                Core.XgMes.Client.TurnoffReport.Dialog.FrmDummyButtressDialog frm = new Core.XgMes.Client.TurnoffReport.Dialog.FrmDummyButtressDialog();
                frm.Plid = "4001ZB1";
                frm.Ops_Area.Visible = false;
                frm.ops_PactNO.Visible = false;
                frm.ops_PactNO1.Visible = false;
                frm.Ops_Area1.Visible = true;
                frm.Ops_Area6.Visible = false;
                frm.CustomSetName = "BUTTRESS";
                
                frm.ShowDialog();
            }
            catch (System.Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
            }
		}
		private void btn_CustomPactNO_Click(object sender, System.EventArgs e)
		{
			try
			{
//				Dialog.FrmDummyButtressDialog frm = new Core.XgMes.Client.TurnoffReport.Dialog.FrmDummyButtressDialog();
//				frm.CustomSetName = "PACT";
//				frm.ShowDialog();
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		
		}
		#endregion

		#region "OpSet Event"

        private void btn_CustomPactNO_Click_1(object sender, EventArgs e)
        {
            try
			{
                if (Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "付志刚" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "刘裕" & Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName != "邱蓉")
                {
                    MessageBox.Show("您的权限不能操作！");
                    return;
                }
				Core.XgMes.Client.TurnoffReport.Dialog.FrmDummyButtressDialog frm = new Core.XgMes.Client.TurnoffReport.Dialog.FrmDummyButtressDialog();
                frm.Plid = "4001ZB1";
				frm.CustomSetName = "PACT";
                frm.Ops_Area.Visible = false;
                frm.Ops_Area1.Visible = false;
                frm.ops_PactNO.Visible = false;
                frm.ops_PactNO1.Visible = true;               

				frm.ShowDialog();
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
        }
		#endregion

	}
}
